### Method

# GLib StaticRWLock init

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rw_lock_init (
      GStaticRWLock* lock
    )

#### Description [src]

A `GStaticRWLock` must be initialized with this function before it can be used. Alternatively you can initialize it with `G_STATIC_RW_LOCK_INIT`.

Deprecated since: 2.32

Use `g_rw_lock_init()` instead.

This method is not directly available to language bindings.